from pymodbus.client import ModbusSerialClient
from pymodbus.exceptions import ModbusException

client = ModbusSerialClient(port='COM3',baudrate=9600,bytesize=8,parity='N',stopbits=1,timeout=1)

result = client.read_holding_registers(address=0, count=10, slave=1)
print(result.registers)